﻿package {
	import flash.display.*;
	import flash.events.*;
	import caurina.transitions.Tweener;
	
	// When using Tweener class must be MovieClip! 
	public class Tweener_03 extends MovieClip {
		private var button_array:Array;
		private var button_count:uint = 16;
		private var row_count:uint = 4;
		
		
		public function Tweener_03() {
			button_array = new Array();
			
			// Here we'll define some objects that propties for the tweens we'll use to animate the objects. 
			var intro_tween = { time:0.5, transition:"easeoutback", delay:0 };
			var open_tween = { scaleX:2, time:0.5, delay:1, transition:"easeoutelastic"  };
			var open2_tween = { scaleY:2, time:0.5, delay:1.5, transition:"easeoutelastic"  };
			
			for ( var i = 0; i < button_count; i++ ) {
				var _mc = new Symbol1();
				addChild( _mc );
				button_array.push( _mc );
				
				_mc.x = 600;
				_mc.y = 50 + Math.random() * 300;
				
				// Here there are three tweens. THe first animates the x position, sliding the box onto the stage
				// The second tween animates the scaleX making the box grow horizontally. The last tween scales the 
				// box in the y so the box grows vertically. 
				// The tweens use different amounts of delay so boxes come on sequentially. 
				
				// Set a random value to x for the intro tween. This sets the x position of the box
				intro_tween.x = 50 + ( Math.random() * 450 ); 
				
				open_tween.scaleX = ( Math.random() * 3 ) + 1;	// Set a random scaleX 
				open2_tween.scaleY = ( Math.random() * 3 ) + 1; // Set a random scaleY
				
				Tweener.addTween( _mc, intro_tween );	// Add each tween
				Tweener.addTween( _mc, open_tween );
				Tweener.addTween( _mc, open2_tween );
				intro_tween.delay += .15;	// Increase the amount of delay in each tween. 
				open_tween.delay += .15;	// Note here we are adding to the delay initally set in the tween
				open2_tween.delay += .15;	// see the initial defintions for these tween objects above. 
			}
			
		}
		
	}
}



