﻿package {
	import flash.display.*;
	import flash.events.*;
	// import classes.caurina.transitions.Tweener;
	import caurina.transitions.Tweener;
	
	// When using Tweener class must be MovieClip! (Sprite does not work?)
	public class Tweener_01 extends MovieClip {
		
		public function Tweener_01() {
			
			b_0.scaleX = b_0.scaleY = 0; // Set the scale of each clip to 0
			b_1.scaleX = b_1.scaleY = 0;
			b_2.scaleX = b_2.scaleY = 0;
			
			// Create an object with Tween properties
			var open_tween = { scaleX:1, scaleY:1, time:1, transition:"easeoutelastic", delay:0 };
			Tweener.addTween( b_0, open_tween ); 	// Add a tween for b_0
			open_tween.delay = .25;					// Increase the delay so b_1 lags behind the first
			Tweener.addTween( b_1, open_tween );	// add another tween for b_1
			open_tween.delay = .5;
			Tweener.addTween( b_2, open_tween );
			
			b_0.addEventListener( MouseEvent.ROLL_OVER, pop_open ); // Create a listener for each button
			b_1.addEventListener( MouseEvent.ROLL_OVER, pop_open );
			b_2.addEventListener( MouseEvent.ROLL_OVER, pop_open );
			
			b_0.addEventListener( MouseEvent.ROLL_OUT, pop_close );
			b_1.addEventListener( MouseEvent.ROLL_OUT, pop_close );
			b_2.addEventListener( MouseEvent.ROLL_OUT, pop_close );
			
		}
		
		private function pop_open( evt:Event ):void {
			var target = evt.currentTarget; // Use the currentTarget to find out which object triggered this event
			// Add another tween to scale that object up to 150%
			Tweener.addTween( target, { scaleX:1.5, scaleY:1.5, time:1, transition:"easeoutelastic", onComplete:all_done } );
		}
		
		private function pop_close( evt:Event ):void {
			var target = evt.currentTarget; // Use the current Target to get the object that triggered this event
			// Scale the object back to 100%
			Tweener.addTween( target, { scaleX:1, scaleY:1, time:1, transition:"easeoutelastic", onComplete:all_done } );
		}
		
		private function all_done():void {
			// This callback is triggered when the tween is finished. 
			trace( "All Done" );
		}
	}
}



